org.springframework.data.crossstore

## Class ChangeSetPersister.NotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.springframework.data.crossstore.ChangeSetPersister.NotFoundException

All Implemented Interfaces:
  Serializable

Enclosing interface:
  ChangeSetPersister<K>

    public static class ChangeSetPersister.NotFoundException
    extends Exception

Exception thrown in alternate control flow if getPersistentState finds no entity data.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NotFoundException()`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NotFoundException

    public NotFoundException()